package cn.cecep.talroad.service;

import cn.cecep.talroad.vo.EmissionsStatVo;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;

public interface EmissionsStatService {
    List<EmissionsStatVo.PointRow> getPointList(IPage<EmissionsStatVo.PointRow> page, EmissionsStatVo.PointSearch search);

    List<EmissionsStatVo.FactoryRow> getFactoryList(IPage<EmissionsStatVo.FactoryRow> page, EmissionsStatVo.FactorySearch search);

    EmissionsStatVo.Region getRegionStat(EmissionsStatVo.RegionSearch search);
}
